
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>《Android应用开发攻略》——3.10 为测试重现活动生命周期场景 / iVAN</title>

    <meta name="description" content="《Android应用开发攻略》——3.10 为测试重现活动生命周期场景 3.10 为测试重现活动生命周期场景 Daniel Fowler3.10.1 问题 应用程序应该适应活动生命周期.开发人员必须知道如何重现不同的生命周期场景.3.10.2 解决方案 利用日志获得对活动生命周期的全面了解,就能更容易地为测试重现生命周期场景.3.10.3 讨论 Android是为了移动的生活方式而设计的,在这种方式下,用户忙于多种工作:打电话.检查邮件.发送SMS信息.参与社交网络.拍照.访问互联网.运行应用程序等,甚至完成某些工作!因此,移动设备可能有多个应用程序,从而在内存中加">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">《Android应用开发攻略》——3.10 为测试重现活动生命周期场景</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h3>3.10 为测试重现活动生命周期场景</h3>
<p>Daniel Fowler<br /><strong>3.10.1 问题</strong><br />
应用程序应该适应活动生命周期。开发人员必须知道如何重现不同的生命周期场景。<br /><strong>3.10.2 解决方案</strong><br />
利用日志获得对活动生命周期的全面了解，就能更容易地为测试重现生命周期场景。<br /><strong>3.10.3 讨论</strong><br />
Android是为了移动的生活方式而设计的，在这种方式下，用户忙于多种工作：打电话、检查邮件、发送SMS信息、参与社交网络、拍照、访问互联网、运行应用程序等，甚至完成某些工作！因此，移动设备可能有多个应用程序，从而在内存中加载许多活动。前台应用及当前活动可能在任何时刻被打断和暂停。暂停的应用程序和活动也可能从内存中删除，为新启动的应用程序释放内存。应用程序的生命周期不受其控制，因为Android操作系统负责启动、监控、暂停、恢复和删除应用的活动。但是，活动知道发生了什么，因为在活动实例化、隐藏和删除时，会调用各种函数，这使得活动能够跟踪操作系统对应用程序所进行的操作，我们在攻略1.6中已经讨论过这一点。<br />
因为上述原因，应用程序开发人员熟悉活动启动时调用的函数：<br />
onCreate(Bundle savedInstanceState){...};<br />
onStart(){...};<br />
onResume(){...};<br />
以及活动暂停并从内存中删除（销毁）时调用的函数：<br />
onPause(){...};<br />
onStop(){...};<br />
onDestroy(){..};<br />
打开攻略1.4中的程序，就可以看到以上函数的运行情况。然后，在主活动类中，覆盖上述的6个函数，调用其超类版本。添加Log.d()调用传递应用程序名称和被调用的函数，代码参见例3-7。<br />
例3-7：生命周期日志</p>
<pre><code>public class Main extends Activity {
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        Log.d("MyAndroid", "onCreate");
    }
    @Override
    public void onStart() {
        super.onStart();
        Log.d("MyAndroid", "onStart");
    }
    @Override
    public void onResume() {
        super.onResume();
        Log.d("MyAndroid","onResume");
    }
    @Override
    public void onPause() {
        super.onPause();
        Log.d("MyAndroid","onPause");
    }
    public void onStop() {
        super.onStop();
        Log.d("MyAndroid","onStop");
    }
    public void onDestroy() {
        super.onDestroy();
        Log.d("MyAndroid","onDestroy");
    }
}

</code></pre>
<p>运行程序。显示LogCat视图查看调试信息。调试信息在Dalvik Debug Monitor Server（DDMS）视图中默认可见，你也可以通过Window菜单选项打开它。单击Window→Show View→Other，展开Android并选择LogCat，LogCat视图出现在底部的选项卡中。<br />
单击Eclipse右上角的DDMS按钮可以打开DDMS视图，如图3-16所示。</p>
<p><a href="https://yqfile.alicdn.com/72cc4e69a2aa73766eb560bde5f8e32d112b9e44.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzcyY2M0ZTY5YTJhYTczNzY2ZWI1NjBiZGU1ZjhlMzJkMTEyYjllNDQucG5n.jpg"></a></p>
<p>LogCat视图将出现在底部的选项卡中。如果该视图不可见，使用前面提到的Window菜单方法，或者选择Window→Reset Perspective。你可以从Eclipse中拖动选项卡，将LogCat拖离所在的窗口。启动程序之后，你可以看到添加到启动函数中的3条调试信息（见图3-17）。</p>
<p><a href="https://yqfile.alicdn.com/d9c75fabbde4c981e56ea3472315bb98aa6e7e89.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2Q5Yzc1ZmFiYmRlNGM5ODFlNTZlYTM0NzIzMTViYjk4YWE2ZTdlODkucG5n.jpg"></a></p>
<p>按下Back按键时，你将看到3条卸载信息（见图3-18）。<br />
添加一个LogCat过滤器可以仅查看来自应用程序的信息。单击LogCat屏幕右上角的绿色加号。为过滤器取名，并在Log Tagtag字段中输入MyAndroid（见图3-19）。<br />
现在，LogCat显示一个新的选项卡，其中只包含明确地从应用程序中发送的信息（见图3-20）。</p>
<p><a href="https://yqfile.alicdn.com/10cde49505f4ee8c4676f9f0d2f41cb9f0f49728.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzEwY2RlNDk1MDVmNGVlOGM0Njc2ZjlmMGQyZjQxY2I5ZjBmNDk3MjgucG5n.jpg"></a><br />
<a href="https://yqfile.alicdn.com/658b6ef53ef87e4e3c96007d93f411c4778daa51.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzY1OGI2ZWY1M2VmODdlNGUzYzk2MDA3ZDkzZjQxMWM0Nzc4ZGFhNTEucG5n.jpg"></a></p>
<p>可以单击右上角的图标（带有红×的页面），清除LogCat输出。这样有助于在执行查看更多信息的操作之前得到干净的表单。<br />
为了查看程序暂停时调用的函数，在MyAndroid程序之上再打开一个应用程序。首先添加onRestart()函数和调试信息。</p>
<pre><code>@Override
public void onRestart() {
    super.onRestart();
    Log.d("MyAndroid","onRestart");
}

</code></pre>
<p>运行该程序，单击Home按钮，然后从设备（或者模拟器）上再次启动程序。<br />
LogCat显示通常的启动函数顺序；然后，当单击Home按钮时，运行onPause()和 onStop()，但是没有运行onDestroy()。该程序没有结束，但是处于休眠状态。当程序再次运行，它并没有重新加载，所以没有运行onCreate()，而是调用onRestart()。<br />
在设备或者模拟器上再次运行该程序，然后进入Manage Applications（应用程序管理）菜单，方法是Settings（设置）→Applications（应用程序），选择程序，并单击Force Close（强制关闭）按钮。从设备（或者模拟器）再次启动程序。<br />
调用通常的启动函数，然后活动“休眠”。由于第二个实例运行，没有看到onDestroy()。<br />
在本攻略中，我们讨论了如下不同的生命周期场景：<br />
正常启动，然后结束。<br />
启动、暂停再重新启动（见图3-21）。</p>
<p><a href="https://yqfile.alicdn.com/c3200aeb3b5f91a24b11fcb40287dc2cede9aeb1.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2MzMjAwYWViM2I1ZjkxYTI0YjExZmNiNDAyODdkYzJjZWRlOWFlYjEucG5n.jpg"></a></p>
<p>启动、暂停、强制从内存中删除，然后再次启动（见图3-22）。</p>
<p><a href="https://yqfile.alicdn.com/82561ce87b7585865fec043eabbeab143aad305e.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzgyNTYxY2U4N2I3NTg1ODY1ZmVjMDQzZWFiYmVhYjE0M2FhZDMwNWUucG5n.jpg"></a></p>
<p>这些场景造成了不同的生命周期函数执行顺序。在测试时使用这些场景能够确保应用程序正确执行。你可以在实现更多覆盖函数的时候扩展这种技术，它也适用于测试活动中的程序片段的生命周期。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-03 03:51:52</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/https/" title="HTTPS">HTTPS</a>, <a href="https://www.iamivan.net/tag/%e6%b5%8b%e8%af%95/" title="测试">测试</a>, <a href="https://www.iamivan.net/tag/android/" title="android">android</a>, <a href="https://www.iamivan.net/tag/void/" title="void">void</a>, <a href="https://www.iamivan.net/tag/image/" title="image">image</a>, <a href="https://www.iamivan.net/tag/log/" title="LOG">LOG</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>《Android应用开发攻略》——3.10 为测试重现活动生命周期场景的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeog3NM.html" rel="bookmark">《Android应用开发攻略》&mdash;&mdash;3&period;5 测试项目的创建和使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				3.5 测试项目的创建和使用 Adri醤 Santalla3.5.1 问题 你需要创建和使用新的测试项目,以测试Android应用程序.3.5.2 解决方案 下面是测试项目的创建和使用方法: 1 . 在IDE中,创建一个与你的Android应用程序项目关联的新Android项目. 2 . 配置测试项目的AndroidManifest.xml文件,加入测试Android应用程序必需的代码行. 3 . 最后,编写并运行测试.3.5.3 讨论 下面更详细地描述了前述的步骤. 第1步:在Android应			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDYaevb.html" rel="bookmark">《Android应用开发攻略》&mdash;&mdash;导读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 对于蜂窝技术和移动计算来说,Android是&quot;开放源码的革命&quot;,至少是革命的一部分.从已经不存在的Openmoko FreeRunner到QT Embedded.Moblin. LiMo. Debian Mobile,以及Maemo和最近刚刚开放源码的Symbian OS.刚刚消失的HP WebOS,人们对于提供开放源码的蜂窝技术已经做出了许多的尝试.我们也不要忘记闭源系统的忠实拥趸:BlackBerry OS.Apple iPhone和Microsoft Windows Mob			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZBq0az.html" rel="bookmark">《Android应用开发攻略》&mdash;&mdash;3&period;8 用BugSense自动从用户那里得到缺陷报告</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				3.8 用BugSense自动从用户那里得到缺陷报告 Ian Darwin3.8.1 问题 每当你的应用程序崩溃的时候,用户并不一定都会通知你,即便通知,也往往忽略了重要的细节.你希望有一个服务能够捕捉所有异常,并且提供详细的报告.3.8.2 解决方案 注册BugSense(免费或者Premium版本),在应用程序中添加一个JAR文件和一个调用.然后坐等通知,或者查看Web仪表板上的错误列表和详情页面.3.8.3 讨论 BugSense服务没有什么魔法,它所提供的也不是你自己做不到的事情.但是已			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr3B94p.html" rel="bookmark">《Android应用开发攻略》&mdash;&mdash;1&period;15 程序：Android OS下的小费计算器Tipster</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.15 程序:Android OS下的小费计算器Tipster Sunit Katkar1.15.1 问题 当你和朋友前往饭店就餐并且希望计算各自的账单和小费时,可能陷入许多手动计算和分歧之中.你希望使用一个应用程序,简单地将小费比例加到总额上,并且按照就餐人数分配.Tipster就是Android中的一个实现,用它展示一个完整的应用程序.1.15.2 解决方案 这是一个简单的练习,使用Android中的基本GUI元素,然后用一些简单的计算和事件驱动UI代码将它们组合起来.将用到如下GUI组件			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRqAVBb.html" rel="bookmark">《Android应用开发攻略》&mdash;&mdash;1&period;12 保持Android SDK更新</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.12 保持Android SDK更新 Daniel Fowler1.12.1 问题 SDK必须保持更新,使应用开发人员能够使用不断发展的Android平台上的最新API.1.12.2 解决方案 使用Android SDK Manager程序更新已安装的SDK包和安装新SDK包,包括用于设备特殊功能的第三方程序包.1.12.3 讨论 Android操作系统不断发展,因此,Android SDK也随之发展.Android持续发展的驱动力是: Google的研究和开发 手机制造商开发新的改进型手机			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVNKr4z.html" rel="bookmark">《Android应用开发攻略》&mdash;&mdash;1&period;3 从命令行创建 &OpenCurlyDoubleQuote;Hello&comma; World&rdquo;应用程序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.3 从命令行创建 &quot;Hello, World&quot;应用程序 Ian Darwin1.3.1 问题 你想在不使用Eclipse ADT插件的情况下创建新的Android项目.1.3.2 解决方案 使用Android开发工具包(Android Development Kit,ADK)中的android工具,利用creat project参数和一些附加参数配置你的项目.1.3.3 讨论 除了平台名称之外,android还是一个用于创建.更新和管理项目的命令行工具的名称.可以进入android			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9497Vb.html" rel="bookmark">《Android应用开发攻略》&mdash;&mdash;1&period;4 在Eclipse中创建&OpenCurlyDoubleQuote;Hello&comma; World&rdquo;应用程序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.4 在Eclipse中创建&quot;Hello, World&quot;应用程序 Ian Darwin1.4.1 问题 你打算用Eclipse开发Android应用程序.1.4.2 解决方案 安装Eclipse.Android SDK和ADT plug-in.创建项目并开始编写应用程序.从Eclipse中构建项目并在模拟器下测试.1.4.3 讨论 安装如下软件之后,就可以开始开发了: Eclipse IDE Android SDK ADT plug-in 安装上述三个软件的详细讲解请参见攻略1.5.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bB1jRkz.html" rel="bookmark">《Android应用开发攻略》&mdash;&mdash;第2章 设计成功的应用程序 2&period;1 导言：设计成功的Android应用程序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第2章 设计成功的应用程序 2.1 导言:设计成功的Android应用程序 Colin Wilcox 讨论 本章介绍编写富于想象力而且实用的Android应用的设计指导思想.有几个攻略描述了成功设计的具体特征.本节将列出其他一些方面. 这一章的目的之一是解释相对于其他在移动设备上交付丰富内容的方法,原生Java Android应用程序开发的好处. 原生手机应用程序的要求 不管在何种平台上部署,成功交付任何手机应用程序都有许多关键的要求: 应用程序应该易于在设备上安装.删除和更新. 应该以引人入胜			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPBDkAb.html" rel="bookmark">《Android应用开发攻略》&mdash;&mdash;3&period;13 发送文本消息以及AVD之间的通话</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				3.13 发送文本消息以及AVD之间的通话 Johan Pelgrim3.13.1 问题 你开发了一个应用程序,需要拨打或者接听电话,或者收发文本消息,你希望对该程序进行测试.3.13.2 解决方案 启动两个Android虚拟设备(AVD),使用端口号发送文本消息及拨打电话.3.13.3 讨论 当你创建一个接听来电或者文本消息的应用程序(类似于攻略12.2中开发的应用)时,你当然可以使用Eclipse中的DDMS视图模拟通话或者发送文本消息,不过也可以启动另一个AVD! 如果你注意AVD窗口标题			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPyk8z.html" rel="bookmark" class="title">Flash声音高级篇&colon;NullSound技术-1</a>
					<div>
						高级 原文出处:http://www.bluegelmedia.com 原作者:Brett E. Yokom / killersound, Inc 翻译:Jimbob 概要 本书介绍&quot;NUL ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqdDRb.html" rel="bookmark" class="title">Flash 函数汇总&lpar;funtion&rpar;</a>
					<div>
						函数 由一个变量按一定的规则决定另一个变量的值 , 这种对应的关系被称为函数 . 函数是由一个值根据人为地运算定义产生另一个值的方法 . 在 flash 中也使用了函数 , 并定义了六种类型的函数 , ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXEYWz.html" rel="bookmark" class="title">使用webservice解决多系统登陆问题</a>
					<div>
						web|解决|问题 首先新建一个空项目project1 添加一个WebForm1 写如下代码 private void Page_Load(object sender, System.EventArg ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo62yjz.html" rel="bookmark" class="title">产品变体设计---考虑事项、动机和最佳实践</a>
					<div>
						简介 为了解何时以及如何设计产品变体,应注意观察产品之间的差异.举例来说,两种不同的卡车型号可能存在十几种或者更多的不同特性. 通常情况下,有时由于企业对新产品的市场经验不足,企业最初并没有设计变体. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyydqb.html" rel="bookmark" class="title">Linux下源码方式搭建lamp并搭建论坛</a>
					<div>
						LAMP 指的Linux(操作系统). Apache(HTTP 服务器), MySQL(数据库软件) 和PHP (有时也是指Perl或 Python) 的第一个字母,一般用来建立的web 服务器.Li ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwlk5z.html" rel="bookmark" class="title">Mirage企业数据备份系统解决方案</a>
					<div>
						数据备份与恢复拓扑结构 数据备份与恢复描述 采用Mirage虚拟磁带库的基本数据备份与恢复包括一台备份服务器.一套备份软件.一套Mirage虚拟磁带库(一台Mirage设备,一台磁盘阵列).其中备份服 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAaAA3M.html" rel="bookmark" class="title">识别和防御Web网页木马的几种方法</a>
					<div>
						根据反病毒厂商Sophos今年的第一.第二季度报告,网页已经超过电子邮件成为恶意软件传播时最喜欢使用的途径,通过网页传播的恶意软件平均每月增加300多种.而对用户来说,因为用户自己在互联网浏览时的安全 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6q9vz.html" rel="bookmark" class="title">Moss 2010的单点登陆配置</a>
					<div>
						Moss中的单点登陆方案是在MOSS系统中,将需要进行单点登陆整合的系统的帐号和密码通过加密保存在MOSS中,在登陆时通过中间页面将帐号和密码解密出来,再POST到其他系统完成登陆,当然如果子系统有更 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Rw4jp.html" rel="bookmark" class="title">一个完善的ODBC数据库程序</a>
					<div>
						大家知道用VC开发数据库程序,一般有两种选择:ODBC或ADO.ODBC出现的较早,用的人也多.ADO是微软正大力支持和发展的技术,致力于学习VC的程序员应该现在就学习这种技术. 在这个例字中我还是采 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywwZvz.html" rel="bookmark" class="title">你的云计算职业道路正确吗&quest;</a>
					<div>
						  许多人认为云计算是一次新的事业和财富机会,但是对于一些IT人而言,云计算只会让他们感到失业的恐惧. 当然,IT专业人士有充分的理由保持乐观.在2012年由Wanted Analytics组织的一项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGGY5p.html" rel="bookmark" class="title">Windows 8&period;1灵活丰富的分屏视图功能</a>
					<div>
						  现在,Win8.1预览版提供了更为丰富灵活的&quot;分屏视图(Snap Views)&quot;功能,不仅支持低分辨率屏幕,而且分屏数量最多可达四个;系统即提供智能分屏调整,同时也支持手动调整 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo77vVb.html" rel="bookmark" class="title">傲游浏览器3怎么换皮肤</a>
					<div>
						  傲游3.0默认包含五套皮肤可供用户选择.点击右上角的主菜单按钮,选择&quot;切换皮肤&quot;菜单项下的具体皮肤项目即可切换.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72nGRp.html" rel="bookmark" class="title">还原系统后QQ旋风下载文件时提示&amp;quot&semi;IE游览器禁用&amp;quot&semi;怎么办</a>
					<div>
						  方法一.重新完整覆盖安装QQ旋风 方法二. 从别的机器上提取QQIEHelper01.dll 文件 解压到QQ旋风目录并且注册DLL即可 OK了吧					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6er0Ab.html" rel="bookmark" class="title">oc &lowbar;&lowbar;weak和&lowbar;&lowbar;strong的区别</a>
					<div>
						1.先上代码 id __weak obj=[[NSObject alloc]init]; NSLog(@&quot;弱引用自身地址:%p&quot;,&amp;obj); NSLog(@&quot;弱 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywBVZz.html" rel="bookmark" class="title">汉字转换为CJK编码的问题</a>
					<div>
						问题描述 景瑞15周年有奖创意活动通知转换为U类型的编码是什么,急!谢谢,最后发给我个工具吧! 解决方案 解决方案二:ding!!!!!!!!!!!!!解决方案三:buliaojie					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNlKGM.html" rel="bookmark" class="title">我与mongodb 二三事（6）</a>
					<div>
						      学过rdbms的sql语句, 都知道函数的使用,大大提高了开发的效率吧!!!         那nosql数据库中是否还有这些函数,答案是肯定的.        在这节中,我们将一起学习这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQWRVp.html" rel="bookmark" class="title">数据挖掘在互联网、移动互联网的应用场景</a>
					<div>
						问题描述 数据挖掘在互联网.移动互联网的应用场景 刚刚接触数据挖掘,想了解一下数据挖掘在互联网.移动互联网的应用场景,希望可以尽快选定研究方向~希望各位大牛大概说一下~~ 解决方案 http://bo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3aDkz.html" rel="bookmark" class="title">glsurfaceview-Android中GLSurfaceView和SurfaceView重叠显示&quest;</a>
					<div>
						问题描述 Android中GLSurfaceView和SurfaceView重叠显示? 将GLSurfaceView和SurfaceView放在一个FrameLayout中,GLSurfaceView ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NGPPM.html" rel="bookmark" class="title">Android零基础入门第21节：ToggleButton和Switch使用大全</a>
					<div>
						原文:Android零基础入门第21节:ToggleButton和Switch使用大全 上期学习了CheckBox和RadioButton,那么本期来学习Button的另外两个子控件ToggleBut ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRnO3b.html" rel="bookmark" class="title">WebBrowser编程简述</a>
					<div>
						原文:WebBrowser编程简述1.初始化和终止化(Initialization &amp; Finalization) 大家在执行TWebBrowser的某个方法以进行期望的操作,如ExecWB等 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeR12jb.html" rel="bookmark" class="title">比特币的区块结构</a>
					<div>
						所有技术点以此为展开, 才有条理. 在河北山里支教开始了.   { &quot;hash&quot;: &quot;00000000d1145790a8694403d4063f323d499e655c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqYOvz.html" rel="bookmark" class="title">Codeforces 567A&period; Lineland Mail</a>
					<div>
						Codeforces 567A的传送门 All cities of Lineland are located on the Ox coordinate axis. Thus, each city is ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXd4lb.html" rel="bookmark" class="title">基于多种服务的地理位置查询系统</a>
					<div>
						本文讲的是基于多种服务的地理位置查询系统, 简介 我的这篇文章讨论了 PostGIS 以及查询地理数据的几种方法.这篇文章将集中讨论构建一个免费的地理服务系统,并聚合呈现结果. 概述 总的来说,我们将 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7DaYz.html" rel="bookmark" class="title">微软推出开源 Win10 UWP 开发工具包</a>
					<div>
						微软已经引入了一项开源UWP社区工具包,帮助开发者通过 Win10 SDK 进行互相合作,做出贡献.目前该项目近日在微软官方开发者博客上被宣布. 该工具包允许简化应用开发,包括帮助函数.自定义控件.应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNnAaM.html" rel="bookmark" class="title">&period;net打包问题 急急急！在线等！</a>
					<div>
						问题描述 在visualstudio2005里用vc++写的GUI程序,用到了COM.debug都正常了,打包后在我的机子上安装运行也没问题.但安装在别的机子上,运行后窗体界面正常显示,但一点击上面的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJA6dp.html" rel="bookmark" class="title">SQL Server中TOP子句可能导致的问题以及解决办法</a>
					<div>
						原文:SQL Server中TOP子句可能导致的问题以及解决办法 简介      在SQL Server中,针对复杂查询使用TOP子句可能会出现对性能的影响,这种影响可能是好的影响,也可能是坏的影响, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7Nm4b.html" rel="bookmark" class="title">《R语言数据分析与挖掘实战》&mdash;&mdash;1&period;2　从餐饮服务到数据挖掘</a>
					<div>
						1.2 从餐饮服务到数据挖掘 企业经营最大的目的就是盈利,而餐饮业企业盈利的核心就是其菜品和顾客,也就是其提供的产品和服务对象.企业经营者每天都在想推出什么样的菜系和种类能吸引更多的顾客,究竟不同顾客 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8ml0b.html" rel="bookmark" class="title">纯js和css完成贪吃蛇小游戏demo&lowbar;javascript技巧</a>
					<div>
						本文实例为大家分享了js贪吃蛇小游戏demo,纯js和css完成,供大家参考,具体内容如下 &lt;!doctype html&gt; &lt;html&gt; &lt;meta charset=&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKmJEz.html" rel="bookmark" class="title">getJSON跨域SyntaxError问题分析&lowbar;php实例</a>
					<div>
						昨天写一个功能:点击手机验证的同时获取json端的数据. javascript代码如下: $(&quot;.check_mobile&quot;).click(function(){ var mobi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Gaxgp.html" rel="bookmark" class="title">用Python实现换行符转换的脚本的教程&lowbar;python</a>
					<div>
						很简单的一个东西,在'\n'.'\r\n'.'\r'3中换行符之间进行转换.用法 复制代码 代码如下: usage: eol_convert.py [-h] [-r] [-m {u,p,w,m,d}] ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
